<?php

namespace kernel\app_modules\view\services;

use kernel\helpers\Debug;
use kernel\app_modules\view\models\View;
use kernel\FormModel;

class ViewService
{
    public function create(FormModel $form_model): false|View
    {
        $model = new View();
        // Пример заполнения:
        // $model->content = $form_model->getItem('content');
        // $model->user_id = $form_model->getItem('user_id');
        // $model->title = $form_model->getItem('title');
        // $model->slug = Slug::createSlug($form_model->getItem('title'), View::class); // Генерация уникального slug

        if ($model->save()){
            return $model;
        }

        return false;
    }

    public function update(FormModel $form_model, View $view): false|View
    {
        // Пример обновления:
        // $view->content = $form_model->getItem('content');
        // $view->user_id = $form_model->getItem('user_id');

        if ($view->save()){
            return $view;
        }

        return false;
    }
}